function Xnew = AUpdate(X,W)
%
% function Xnew = AUpdate(X,W)
%
% This function performs asynchronous update of a Hopfield Network
%
% INPUTS:
% X: 256x1, current status of memory
% W: 256x1, neurons weights
% OUTPUTS:
% Xnew: 256x1, updated neural network
[m n] = size(W);
a = zeros(m,1);
Xnew = zeros(size(X));
for i = 1:m
a(i) = W(i,:)*X'; % Compute ith nuerons activation
% determine X(i) via Threshold function
if a(i)>=0
Xnew(i) = 1;
else
Xnew(i) = -1;
end
end